/*
 * This file is part of Firestorm NIDS
 * Copyright (c) 2002,2003,2004 Gianni Tedesco <gianni@scaramanga.co.uk>
 * This program is released under the terms of the GNU GPL version 2
*/
#include <firestorm.h>
#include <args.h>
#include <plugin.h>
#include <alert.h>
#include <signature.h>
#include <decode.h>

void igmp_decode(struct packet *p);
struct proto igmp_p=init_proto("igmp", igmp_decode, NULL);
struct proto_req igmp_r[]={
	proto_request("ip", 2),
	null_request()
};

/* Internet group messaging protocol */
void igmp_decode(struct packet *p)
{
	struct layer *l=&p->layer[p->llen];

	if ( l->h.raw+sizeof(struct pkt_igmphdr) > p->end ) {
		dispatch(p);
		return;
	}

	p->llen++;
	dispatch(p);
}

struct proto_table firestorm_protocols[]={
	{.proto = &igmp_p, .preq = igmp_r},
	{.proto = NULL}
};

struct plugin_desc firestorm_plugin_desc = {
	.size		= sizeof(firestorm_plugin_desc),
	.name		= "decode.igmp",
	.desc		= "Internet Group Messaging Protocol",
	.author_name	= "Gianni Tedesco",
	.author_email	= "gianni@scaramanga.co.uk",
	.ver_major	= 2,
	.ver_minor	= 0,
};
