/*
 * This file is part of Firestorm NIDS
 * Copyright (c) 2002,2003,2004 Gianni Tedesco <gianni@scaramanga.co.uk>
 * This program is released under the terms of the GNU GPL version 2
*/

#include <firestorm.h>
#include <args.h>
#include <plugin.h>
#include <alert.h>
#include <signature.h>
#include <decode.h>

void irda_decode(struct packet *p);
struct proto irda_p=init_proto("irda", irda_decode, NULL);
struct proto_req irda_r[]={
	proto_request("linux", __constant_htons(0x0017)),
	null_request()
};

/* Finish Me */
#define IRDA_MIN_SIZE 0
void irda_decode(struct packet *p)
{
	struct layer *l=&p->layer[p->llen];

	if ( l->h.raw+IRDA_MIN_SIZE > p->end ) {
		dispatch(p);
		return;
	}

	p->llen++;
	dispatch(p);
}

struct proto_table firestorm_protocols[]={
	{.proto = &irda_p, .preq = irda_r},
	{.proto = NULL}
};

struct plugin_desc firestorm_plugin_desc = {
	.size		= sizeof(firestorm_plugin_desc),
	.name		= "decode.irda",
	.desc		= "IRDA (Infra-Red)",
	.author_name	= "Gianni Tedesco",
	.author_email	= "gianni@scaramanga.co.uk",
	.ver_major	= 1,
	.ver_minor	= 0,
};
