/*
* This file is part of Firestorm NIDS
* Copyright (c) 2002,2003,2004 Gianni Tedesco
* This program is released under the terms of the GNU GPL version 2
*
* We support plugins for elog conversion purposes. Each exporter is an
* elog conversion exporter so we can convert to whatever...
*/
#include <firestorm.h>
#include <loader.h>
#include <alert.h>
#include <args.h>
#include <exporter.h>

struct exporter *exporters;

/* Add a bunch of exporters */
static void exporter_add(struct plugin *p, struct exporter *t)
{
	for(; t->name; t++) {
		t->next = exporters;
		exporters = t;
	}
}

/* Load all exporter plugins */
void exporter_load(void)
{
	loader_find_syms("firestorm_exporters", (loader_cb_t)exporter_add);
}

/* Find a exporter by its name */
struct exporter *exporter_find(const char *name)
{
	struct exporter *ret;

	if ( name == NULL )
		name = "elog";

	for(ret=exporters; ret; ret=ret->next)
	{
		if ( !strcmp(ret->name, name) )
			return ret;
	}
	return NULL;
}
