/*
* This file is part of Firestorm NIDS
* Copyright (c) 2003,2004 Gianni Tedesco
* This program is released under the terms of the GNU GPL version 2
*
* This is the GNOME firestorm analyst console. Most of the GUI code
* is actually in src/g_*.c
*/
#include <gnome.h>
#include <stdarg.h>

#include <firestorm.h>
#include <mesg.h>
#include <args.h>
#include <loader.h>
#include <alert.h>
#include <signature.h>
#include <decode.h>
#include <g_interface.h>
#include <g_mesg.h>

int main(int argc, char **argv)
{
	firestorm_init();

	mesg_set_backend(g_mesg_backend);

	gnome_program_init(PACKAGE_NAME,
			PACKAGE_VERSION,
			LIBGNOMEUI_MODULE,
			argc, argv,
			GNOME_PARAM_APP_DATADIR,
			PACKAGE_DATA_DIR, NULL);

	g_interface_mainwin();

#if 0
	loader_load_dir(PLUGIN_DIR "/protocols");
#else
	loader_load_dir("./decode_plugins/.libs/");
#endif

	decode_load();

	gtk_main();
	return 0;
}
