/*
* This file is part of Firestorm NIDS
* Copyright (c) 2002,2003,2004 Gianni Tedesco
* This program is released under the terms of the GNU GPL version 2
*
* Track relevent ruleset parser modules. Ruleset parsing is actually
* done inside the plugins.
*/
#include <firestorm.h>
#include <args.h>
#include <loader.h>
#include <alert.h>
#include <signature.h>
#include <parser.h>

static struct parser *parse_list;

int parser_setup(const char *type, const char *file)
{
	struct parser *p;

	if ( !type ) return 0;

	for(p=parse_list; p; p=p->next) {
		if ( !strcmp(p->name, type) ) {
			return p->load_file(file);
		}
	}
	return 0;
}

static int parser_add(struct plugin *p, struct parser *o)
{
	for(; o->name; o++) {
		if ( o->load_file == NULL )
			continue;

		/* Append to list */
		o->next=parse_list;
		parse_list=o;
	}

	return 1;
}

void parser_load(void)
{
	loader_find_syms("firestorm_parsers", (loader_cb_t)parser_add);
}
